<?php

namespace App\Modelos;

use Core\Database;

class EmpleadoAgente extends Database
{
    protected $table    = 'app_empleados_agentes';
    protected $id       = 'empagent_id';

    public function modificarAgente(int $id_cliente, int $id_emple, string $captado, int $factura, int $tipo)
    {
        return $this->consultar("UPDATE app_empleados_agentes SET empagent_captado='$captado' WHERE empagent_clientid = $id_cliente AND empagent_empid=$id_emple AND empagent_tipo=$tipo AND empagent_docid=$factura")->run();
    }

    public function obtenerAgente($id_cliente)
    {
        return $this->consultar("SELECT * FROM app_empleados_agentes eg LEFT JOIN app_empleados_info ei ON eg.empagent_empid = ei.einfo_id WHERE empagent_clientid=$id_cliente")->all();
    }

    public function eliminarAgente($id_cliente)
    {
        return $this->consultar("DELETE FROM app_empleados_agentes WHERE empagent_clientid = $id_cliente")->run();
    }

    public function obtenerClienteAgente($id_empleado)
    {
        return $this->consultar("SELECT * FROM app_empleados_agentes eg 
		LEFT JOIN app_clientes cli ON eg.empagent_clientid = cli.cli_id 
		LEFT JOIN app_paises ap ON ap.pa_id=cli.cli_paisid
		WHERE empagent_empid=$id_empleado")->all();
    }
}
